#!/bin/sh
mainDir=../../app/
langDir=$mainDir/languages
messagesFile=$langDir/messages.pot
messagesCS=$langDir/messages.cs.po
messagesCSMO=$langDir/messages.cs.mo
messagesEN=$langDir/messages.en.po
messagesENMO=$langDir/messages.en.mo
sourceDir=$mainDir

> $messagesFile

for file in `find $sourceDir -type f \( -name *.phtml -o -name *.php \) -print`; do
 if [ `expr $file : '.*\/lib'` -gt 0 -o `expr $file : '.*zip'` -gt 0 ]; then  
  continue; 
 fi;  
 echo "scannig $file"
 xgettext -j --keyword=trans --from-code=ascii \
 --default-domain=messages --language=php \
 --output=$messagesFile \
 $file
done

echo "updating CS PO"
msgmerge -U $messagesCS $messagesFile
echo "updating EN PO"
msgmerge -U $messagesEN $messagesFile

echo "formating CS MO"
msgfmt $messagesCS -o $messagesCSMO
echo "formating EN MO"
msgfmt $messagesEN -o $messagesENMO

rm -f $langDir/*~
