<?php
/**
 * Implementation of project controller actions
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */

/**
 * Serve projects related actions.
 *
 * @package koubel homepage
 * @author Miroslav Kubelik (koubel@volny.cz)
 * @copyright Copyright (c) 2007 Miroslav Kubelik
 * @license http://opensource.org/licenses/gpl-license.php GNU GPL
 */
class ProjectController extends Zend_Controller_Action
{
//==============================================================================
/**
 * Index handler, list of all projects.
 */
public function indexAction()
{
 $this->view->pageTitle="projects";
}

//==============================================================================
/**
 * View project detail page.
 */
public function viewAction()
{
 $this->_helper->viewRenderer( $this->_getParam("name") );
}

#END CLASS
}
