<?php
class HomeWebApp_View_Helper_Trans
{
 private $_translator;
 private $_lang;
 private $_conv=true;

//==============================================================================
public function __construct()
{
 $app=HomeWebApp::getInstance();
 $this->_translator=$app->getTranslate();
 $this->_lang=$app->getLocale()->getLanguage();
}

//==============================================================================
private function _getTrans($string)
{
 $traslStr=$this->_translator->_($string);
 return ($this->_conv) ? iconv("utf-8","iso-8859-2",$traslStr) : $traslStr;
}

//==============================================================================
public function trans($string,$count=null,$conv=true)
{
 if (!is_null($count)) {
  return ($this->_hackTrans($string,$count));
 }
 
 $this->_conv=$conv;
 
 return $this->_getTrans($string);
}

//==============================================================================
private function _hackTrans($string,$count)
{
 //hack for comments count
 if ( strtolower($string)=="comments") {
  if ($this->_lang=="cs" ) {
   if ($count==0) return "koment";
   if ( $count>10 && $count<15 ) return "koment";
   $lastNum=substr((string)($count), -1, 2);
   $lastNum==(int)$lastNum;
   if ($lastNum==1) return "koment";
   elseif ($lastNum>1 && $lastNum<5) return "komente";
   else return "koment";   
  } else {
   if ($count==1) return "comment";
   return "comments";   
  }
 } 

 //hack for trackback count
 if ( strtolower($string)=="trackbacks") {
  if ($this->_lang=="cs" ) {
   if ($count==0) return "trackback";
   if ( $count>10 && $count<15 ) return "trackback";
   $lastNum=substr((string)($count), -1, 2);
   $lastNum==(int)$lastNum;
   if ($lastNum==1) return "trackback";
   elseif ($lastNum>1 && $lastNum<5) return "trackbacky";
   else return "trackback";
  } else {
   if ($count==1) return "trackback";
   return "trackbacks";
  }
 }

 return $this->_getTrans($string);
}

#END CLASS
}
